\documentclass[11pt,a4paper]{article}

\usepackage{fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../dcpic}

\pagestyle{empty}

\setlength{\arraycolsep}{2pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 483 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item The theorem holds for loops and coloops: \begin{align*}
		f(U_{0,1}) &= a^{1-0}b^0T\left(M; \frac{x_0}{b}, \frac{y_0}{a}\right) \\
		&= a\frac{y_0}{a} \\
		&= y_0 \\
		f(U_{1,1}) &= a^{1-1}b^1T\left(M; \frac{x_0}{b}, \frac{y_0}{a}\right) \\
		&= b\frac{x_0}{b} \\
		&= x_0
	\end{align*}
	Now I'd induct up the number of components in the matroid. However, I quickly run into a problem with the rank function (that the rank of a 1-step minor of $M$ depends on the choice of $e$ in relation to \mbc{I}), that I can't seem to figure out. So maybe I've got the wrong approach to this?
	\item Using Maple: \\
		\texttt{G := PetersenGraph():} \\
		\texttt{f := TuttePolynomial(G, `x', `y');} \\
	These two commands give the following Tutte Polynomial: \\
	$T(PG; x, y) = 36x + 120x^2 + 180x^3 + 170x^4 + 114x^5 + 56x^6 +21x^7 + 6x^8 + x^9 + 36y + 84y^2 + 75y^3 + 35y^4 + 9y^5 + y^6 + 168xy + 240x^2y + 170x^3y + 70x^4y + 12x^5y + 171xy^2 + 105x^2y^2 + 30x^3y^2 + 65xy^3 + 15x^2y^3 + 10xy^4$ \\
	Also, $F(G; k) = (-1)^{|E(G)| - |V(G)| + 1} T(G; 0, 1-k)$. Applying this to the Petersen Graph, one gets $(-1)^{15 - 10 + 1} = 1$, so $F(PG; 4) = T(PG; 0, -3)$. \\
	So, the only interesting terms are the ones without $x$. Hence \begin{align*}
		F(PG; 4) &= T(PG; 0, -3) \\
		&= 36(-3) + 84(-3)^2 + 75(-3)^3 + 35(-3)^4 + 9(-3)^5 + (-3)^6 \\
		&= -108 + 756 - 2025 + 2835 - 2187 + 729 \\
		&= 4320 - 4320 \\
		&= 0
	\end{align*}
	As $F(PG; 4) = 0$, the Petersen Graph has no 4--flow.
	\item \begin{enumerate}[(i)]
		\item \begin{enumerate}
			\item[\ltr] Assume that $G$ has a nowhere--zero 2--flow. By Kirchhoff's Law, the sum of the weights of the edges coming into each vertex is equal to the sum of the weights of the edges going out. As no edge has weight 0, and we're in \mz{2}, every edge has weight 1. So, for every edge coming in, there is an edge going out. Hence every vertex has even degree and $G$ is Eulerian.
			\item[\rtl] Assume that $G$ is Eulerian. Assign a flow to $G$, and assume that $e$ (from $v$ to $w$) has weight 0. At vertex $w$, there are an even number of edges. As there is a flow assigned, Kirchhoff's Law states that there must be some other edge, $f$, going from $w$ to $x$, with weight 0. Continue with this process, and as $G$ is Eulerian, you'll eventually end up back at $v$, with every edge having weight 0. However, this is no longer a flow, and so $e$ can't have had weight 0. Hence every edge of $G$ has weight 1, and $G$ has a nowhere--zero 2--flow. \pend
		\end{enumerate}
		\item \begin{enumerate}
			\item[\ltr] Assume that $G = (V,E)$ is the union of two Eulerian groups, $G_1 = (V, E_1)$ and $G_2 = (V, E_2)$. Then both $G_1$ and $G_2$ have a 2--flow, so consider the group $\mz{2} \times \mz{2}$. Pick an edge $e \in E$. If $e \in E_1 - E_2$, then give it a weight of (1,0). If $e \in E_2 - E_1$, then give it a weight of (0,1). If $e \in E_1 \cap E_2$, then give it a weight of (1,1). This construction makes a $\mz{2} \times \mz{2}$ flow on $G$, which is a 4--flow.
			\item[\rtl] Assume that $G = (V,E)$ has a 4--flow. WOLOG, the group is $\mz{2} \times \mz{2}$. Look at the flow on each edge. If it's (1,0), then put the edge into a set, $E_1$. If it's (0,1), then put the edge into $E_2$. If it's (1,1), then put the edge into both $E_1$ and $E_2$. This causes the graph to be decomposed into two Eulerian components, $(V, E_1)$ and $(V, E_2)$. \pend
		\end{enumerate}
		\item {\bf Very rough sketch}: The graph, $G$ isn't Eulerian, so it has an even number of vertices with odd degree. Let $G_1$ be the subgraph of $G$ with as many edges as possible, but still Eulerian. Now consdier the graph $G - G_1 = H$. Every vertex should have an odd degree. From every vertex, select an edge and remove it, so that every vertex now has even degree. Collect all these edges together, and call them $G_2$. $G_3$ is what you're left with. \\
		$G_1$, $G_2$, and $G_3$ are all Eulerian, and their union is $G$.
		\item Using the group $\mz{2} \times \mz{2} \times \mz{2}$, assign each edge the vector $(e_1,e_2,e_3)$, where $e_i = 1$ if the edge is in $E_i$. As every isthmus free graph is the union of three Eulerian graphs, this gives a nowhere--zero 8--flow on every isthmus free graph. \pend
	\end{enumerate}
	\item \begin{enumerate}
		\item[{[2.11]}] The continued fraction corresponding to 2 1 1 is $$1 + \frac{1}{1 +\frac{1}{2}} = \frac{5}{3}$$ \\
		The continued fraction corresponding to --1 --2 2 is $$2 + \frac{1}{-2 + \frac{1}{-1}} = \frac{5}{3}$$
		Therefore the tangles 2 1 1 and --1 --2 2 are equivalent.
		\item[{[2.21]}] Yes, there is an additive identity for tangles. This is shown in the file \texttt{4\_2-21}.
		\item[{[2.22]}] There isn't a multiplicative identity for tangles. However, there is an identity on each side (though they are different). This is shown in \texttt{4\_2-22}.
		\item[{[2.25]}] See file \texttt{4\_2-25}. I've drawn orientations on the strands to make the change easier to see. The yellow line is coming from the top of $T_1$, and leaving on the side that the 1 is on. Likewise with the brown, but from the bottom. I then rotated each tangle $180^\circ$, but kept the strands going from the same place. When the second knot is written with the letters up the right way, it's $T_1\ T_3\ T_2$, as desired.
	\end{enumerate}
\end{enumerate}

\end{document}